NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Positioning.Network Class Reference

Network for use in positioning objects in NX. More...

Inheritance diagram for NXOpen.Positioning.Network:
NXOpen.NXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Positioning.ComponentNetwork

Public Types

enum  ObjectStatus {
  Unknown, Fixed, OverDefined, NotConsistentDims,
  NotConsistentOther, NotConsistentUnknown, NotChanged, WellDefined,
  UnderDefined
}
 Specifies the solver status of a movable object. More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe void AddConstraint (NXOpen.Positioning.Constraint constraint)
 Add a Constraint to the network. More...
 
unsafe void AddMovableObject (NXOpen.NXObject movableObject)
 Add a movable object to the network. More...
 
unsafe void ApplyToModel ()
 Applies the current network state to the model. More...
 
unsafe void BeginDrag ()
 Notify the network that a sequence of drag operations is about to begin. More...
 
unsafe void DragByRay (NXOpen.Point3d point, NXOpen.Vector3d direction)
 Move objects which have been added to the network using Positioning.Network.AddMovableObject . More...
 
unsafe void DragByTransform (NXOpen.Vector3d translation, NXOpen.Matrix3x3 rotation)
 Move objects which have been added to the network using Positioning.Network.AddMovableObject . More...
 
unsafe void DragByTranslation (NXOpen.Vector3d translation)
 Move objects which have been added to the network using Positioning.Network.AddMovableObject . More...
 
unsafe void EmptyMovingGroup ()
 Remove all elements from the moving_group. More...
 
unsafe void EndDrag ()
 Notify the network that a sequence of drag operations has ended. More...
 
unsafe
NXOpen.Positioning.Network.ObjectStatus 
GetMovableObjectStatus (NXOpen.NXObject movableObject)
 Returns the solver status of a movable object. More...
 
unsafe bool IsReferencedGeometryLoaded ()
 Are the necessary objects loaded so that all connected constraints can be included during a drag or solve ? More...
 
unsafe void LoadReferencedGeometry ()
 Load the necessary objects so that all connected constraints can be included during a drag or solve. More...
 
unsafe void RemoveAllConstraints ()
 Remove all Constraint s which have been explicitly added to the network. More...
 
unsafe void RemoveConstraint (NXOpen.Positioning.Constraint constraint)
 Remove a Constraint from the network. More...
 
unsafe void RemoveMovableObject (NXOpen.NXObject movableObject)
 Remove a movable object from the network. More...
 
unsafe void ResetDisplay ()
 Returns the display objects to their model positions. More...
 
unsafe void SetMovingGroup (NXOpen.NXObject[] movableObjects)
 Set the elements of the moving_group. More...
 
unsafe void Solve ()
 Solves the constraint network. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Assemblies.Component DisplayComponent [get, set]
 Returns or sets the Assemblies.Component in which the display is changed by solving the network. More...
 
unsafe bool MoveObjectsState [get, set]
 Returns or sets the move objects state for the network. More...
 
unsafe bool NonMovingGroupGrounded [get, set]
 Returns or sets the grounded state of non-moving_group objects. More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Network for use in positioning objects in NX.

A network consists of explicitly added constraints and movable objects together with others implicitly added because they are connected by to those in the network.

Use Positioning.Positioner.EstablishNetwork to create an instance of this class.

Created in NX4.0.0

Member Enumeration Documentation

Specifies the solver status of a movable object.

Enumerator
Unknown 

Not yet evaluated.

Fixed 

Attempt to put constraint between two fixed objects.

OverDefined 

Conflicts with other constraints.

NotConsistentDims 

Cannot solve with current dimension values.

Model fully defined.

NotConsistentOther 

Cannot find a solution.

Model underdefined.

NotConsistentUnknown 

One movable object fixed.

NotChanged 

Not evaluated because other parts of the model are over defined or inconsistent.

WellDefined 

The constraint is solved and satisfied

UnderDefined 

The constraint is solved and satisfied

Member Function Documentation

unsafe void NXOpen.Positioning.Network.AddConstraint ( NXOpen.Positioning.Constraint  constraint)
inline

Add a Constraint to the network.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
constraintThe Constraint to be added
unsafe void NXOpen.Positioning.Network.AddMovableObject ( NXOpen.NXObject  movableObject)
inline

Add a movable object to the network.

An object explicitly added by this method will be directly moved by calls to Positioning.Network.DragByRay , Positioning.Network.DragByTransform and Positioning.Network.DragByTranslation .

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectAn NXObject to be moved
unsafe void NXOpen.Positioning.Network.ApplyToModel ( )
inline

Applies the current network state to the model.

This may change the position of movable objects and the status of constraints in the model. Does not do a solve or an update.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Network.BeginDrag ( )
inline

Notify the network that a sequence of drag operations is about to begin.

This must be called before a series of calls to Positioning.Network.DragByRay , Positioning.Network.DragByTransform or Positioning.Network.DragByTranslation . Following a drag, and before any other changes to a network are made, Positioning.Network.EndDrag should be called.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Network.DragByRay ( NXOpen.Point3d  point,
NXOpen.Vector3d  direction 
)
inline

Move objects which have been added to the network using Positioning.Network.AddMovableObject .

Constraints are honored during the drag so that other objects may also move as a result of this call. On the first call to this method, a notional point is added to each of the objects to be dragged. On subsequent calls, this notional point, and hence the dragged object, is kept as close as possible to the ray determined by point and direction. If there are no constraints then the point will stay on the ray.

A series of calls to this method can be made between calls to Positioning.Network.BeginDrag and Positioning.Network.EndDrag .

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
pointA point on the ray
directionThe direction of the ray
unsafe void NXOpen.Positioning.Network.DragByTransform ( NXOpen.Vector3d  translation,
NXOpen.Matrix3x3  rotation 
)
inline

Move objects which have been added to the network using Positioning.Network.AddMovableObject .

Constraints are honored during the drag so that other objects may also move as a result of this call. The rotation is applied first, then the translation.

A series of calls to this method can be made between calls to Positioning.Network.BeginDrag and Positioning.Network.EndDrag .

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
translationThe translation to be applied
rotationThe rotation to be applied
unsafe void NXOpen.Positioning.Network.DragByTranslation ( NXOpen.Vector3d  translation)
inline

Move objects which have been added to the network using Positioning.Network.AddMovableObject .

Constraints are honored during the drag so that other objects may also move as a result of this call.

Unlike Positioning.Network.DragByTransform there is no rotational element passed in. This can improve the behavior of the constraint solver.

A series of calls to this method can be made between calls to Positioning.Network.BeginDrag and Positioning.Network.EndDrag .

Created in NX6.0.4

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
translationThe translation to be applied
unsafe void NXOpen.Positioning.Network.EmptyMovingGroup ( )
inline

Remove all elements from the moving_group.

See Positioning.Network.SetMovingGroup .

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Network.EndDrag ( )
inline

Notify the network that a sequence of drag operations has ended.

This must be called after a series of calls to Positioning.Network.DragByRay , Positioning.Network.DragByTransform or Positioning.Network.DragByTranslation .

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe NXOpen.Positioning.Network.ObjectStatus NXOpen.Positioning.Network.GetMovableObjectStatus ( NXOpen.NXObject  movableObject)
inline

Returns the solver status of a movable object.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectAn NXObject positioned by the network
Returns
The solver status of the movable object
unsafe bool NXOpen.Positioning.Network.IsReferencedGeometryLoaded ( )
inline

Are the necessary objects loaded so that all connected constraints can be included during a drag or solve ?

Created in NX5.0.1

License requirements: assemblies ("ASSEMBLIES MODULE")

Returns
unsafe void NXOpen.Positioning.Network.LoadReferencedGeometry ( )
inline

Load the necessary objects so that all connected constraints can be included during a drag or solve.

If an object is not loaded then the part containing it will be fully loaded by this call.

Created in NX5.0.1

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Network.RemoveAllConstraints ( )
inline

Remove all Constraint s which have been explicitly added to the network.

Those constraints connected to explicitly added movable objects will still be include in a network solve.

Created in NX6.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Network.RemoveConstraint ( NXOpen.Positioning.Constraint  constraint)
inline

Remove a Constraint from the network.

A constraint explicitly removed by this method may still included in a network solve if connected to another constraint or movable object which has been explicitly added.

Created in NX6.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
constraintThe Constraint to be removed
unsafe void NXOpen.Positioning.Network.RemoveMovableObject ( NXOpen.NXObject  movableObject)
inline

Remove a movable object from the network.

An object explicitly removed by this method will not be directly moved by calls to Positioning.Network.DragByRay , Positioning.Network.DragByTransform and Positioning.Network.DragByTranslation , though it may still be moved indirectly if constrained to other movable objects.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectAn NXObject to be removed from the network
unsafe void NXOpen.Positioning.Network.ResetDisplay ( )
inline

Returns the display objects to their model positions.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Positioning.Network.SetMovingGroup ( NXOpen.NXObject[]  movableObjects)
inline

Set the elements of the moving_group.

The elements of the moving_group will move as a rigid body during a solve or drag operation. Objects outside the moving group can all be prevented from moving by setting Positioning.Network.NonMovingGroupGrounded

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
movableObjectsThe NXObject s to be moved
unsafe void NXOpen.Positioning.Network.Solve ( )
inline

Solves the constraint network.

Does apply the results to the model but does not do an update.

Created in NX4.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Property Documentation

unsafe NXOpen.Assemblies.Component NXOpen.Positioning.Network.DisplayComponent
getset

Returns or sets the Assemblies.Component in which the display is changed by solving the network.

The display component can be a null reference (Nothing in Visual Basic) if display changes are made in the part of the network. The prototype of the display component should be the part containing the network.

Created in NX4.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Network.MoveObjectsState
getset

Returns or sets the move objects state for the network.

When set the display positions of objects are immediately updated upon constraint creation or edit.

Created in NX4.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe bool NXOpen.Positioning.Network.NonMovingGroupGrounded
getset

Returns or sets the grounded state of non-moving_group objects.

When set all objects outside the moving_group are fixed and will not move during a solve or drag.

Created in NX4.0.0

License requirements to get this property: assemblies ("ASSEMBLIES MODULE")

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.